Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(534)

Issue 2512733003: [turbofan] Ship escape analysis. (Closed)

Created:
1 year ago by Benedikt Meurer
Modified:
1 year ago
Reviewers:
mvstanton, Jarin
CC:
v8-reviews_googlegroups.com, Michael Hablich
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[turbofan] Ship escape analysis. BUG=v8:4586, v8:5633 R=jarin@chromium.org Committed: https://crrev.com/3313394fcffe01fac819bfc2e77854ce14a70ad9 Cr-Commit-Position: refs/heads/master@{#41258}

Patch Set 1 #

Patch Set 2 : REBASE #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -2 lines) Patch
M src/flag-definitions.h View 1 2 chunks +1 line, -2 lines 0 comments Download
Trybot results:  v8_win_nosnap_shared_rel_ng_triggered   v8_linux_dbg_ng_triggered   v8_linux64_asan_rel_ng_triggered   v8_linux_arm64_rel_ng_triggered   v8_linux_nodcheck_rel_ng_triggered   v8_linux_arm_rel_ng_triggered   v8_linux64_avx2_rel_ng_triggered   v8_linux64_rel_ng_triggered   v8_linux_rel_ng_triggered   v8_win64_rel_ng_triggered   v8_mac_rel_ng_triggered   v8_linux64_gyp_rel_ng_triggered   v8_win_rel_ng_triggered   v8_win_rel_ng   v8_win_nosnap_shared_rel_ng   v8_win_compile_dbg   v8_presubmit   v8_win64_rel_ng   v8_mac_rel_ng   v8_linux_rel_ng   v8_linux_nodcheck_rel_ng   v8_linux_mips64el_compile_rel   v8_linux_mipsel_compile_rel   v8_linux_dbg_ng   v8_linux_gcc_compile_rel   v8_linux_arm_rel_ng   v8_linux_arm64_rel_ng   v8_linux_chromium_gn_rel   v8_linux64_gyp_rel_ng   v8_linux64_rel_ng   v8_linux64_avx2_rel_ng   v8_android_arm_compile_rel   v8_linux64_asan_rel_ng   v8_linux64_asan_rel_ng_triggered   v8_linux64_asan_rel_ng   v8_linux_dbg_ng_triggered   v8_linux64_asan_rel_ng_triggered   v8_linux_arm_rel_ng_triggered   v8_win64_rel_ng_triggered   v8_linux_rel_ng_triggered   v8_linux64_gyp_rel_ng_triggered   v8_mac_rel_ng_triggered   v8_linux64_rel_ng_triggered   v8_linux_arm64_rel_ng_triggered   v8_win_rel_ng_triggered   v8_linux64_avx2_rel_ng_triggered   v8_linux_nodcheck_rel_ng_triggered   v8_win_nosnap_shared_rel_ng_triggered   v8_win_compile_dbg   v8_win_rel_ng   v8_win_nosnap_shared_rel_ng   v8_mac_rel_ng   v8_presubmit   v8_win64_rel_ng   v8_linux_nodcheck_rel_ng   v8_linux_rel_ng   v8_linux_mips64el_compile_rel   v8_linux_dbg_ng   v8_linux_gcc_compile_rel   v8_linux_chromium_gn_rel   v8_linux_mipsel_compile_rel   v8_linux64_rel_ng   v8_linux_arm_rel_ng   v8_linux_arm64_rel_ng   v8_linux64_avx2_rel_ng   v8_linux64_asan_rel_ng   v8_linux64_gyp_rel_ng   v8_android_arm_compile_rel 

Depends on Patchset:

Messages

Total messages: 22 (13 generated)
Benedikt Meurer
1 year ago (2016-11-18 13:36:03 UTC) #1
Jarin
lgtm
1 year ago (2016-11-18 13:53:45 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2512733003/1
1 year ago (2016-11-18 13:57:17 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: v8_linux_nodcheck_rel_ng on master.tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_nodcheck_rel_ng/builds/12276) v8_linux_nodcheck_rel_ng_triggered on master.tryserver.v8 (JOB_FAILED, ...
1 year ago (2016-11-18 14:20:37 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2512733003/20001
1 year ago (2016-11-24 11:32:18 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year ago (2016-11-24 12:00:02 UTC) #18
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/3313394fcffe01fac819bfc2e77854ce14a70ad9 Cr-Commit-Position: refs/heads/master@{#41258}
1 year ago (2016-11-24 12:00:13 UTC) #20
john.yan
On 2016/11/18 13:36:03, Benedikt Meurer wrote: Is there a timeline to ship TurboFan on V8? ...
1 year ago (2016-11-24 14:52:28 UTC) #21
Benedikt Meurer
1 year ago (2016-11-24 18:10:10 UTC) #22
Message was sent while issue was closed.
We don't have a concrete timeline, but intend to ship it early in 2017, together
with Ignition. Currently, we are increasing the amount of code we send to
Ignition+TurboFan instead of fullcodegen+Crankshaft.

Powered by Google App Engine
This is Rietveld 0eb02b776